Bug 610857 - Review Request: rubygem-curb - Ruby libcurl bindings
Summary: Review Request: rubygem-curb - Ruby libcurl bindings
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-02 15:38 UTC by Shreyank Gupta
Modified: 2014-03-12 11:56 UTC (History)
4 users (show)

Fixed In Version: rubygem-curb-0.7.7.1-4.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-29 15:01:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Shreyank Gupta 2010-07-02 15:38:09 UTC
Spec URL: http://shreyankg.fedorapeople.org/packaging/curb/rubygem-curb.spec
SRPM URL: http://shreyankg.fedorapeople.org/packaging/curb/rubygem-curb-0.7.7.1-1.fc13.src.rpm
Description: Curb provides Ruby-language bindings for the libcurl(3), a fully-featured client-side URL transfer library.

Comment 1 Mamoru TASAKA 2010-07-09 18:42:34 UTC
Does not build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2309650

This is because you directly installs gem into %buildroot. For gem
files which contains C codes and compiles them, this won't work
(check-buildroot fails with this). You have to
- once install gem file under %_builddir
- and copy the whole tree to %buildroot
to pass check-buildroot and create debuginfo rpm correctly, see:

https://fedoraproject.org/wiki/Packaging/Ruby#Ruby_Gem_with_extension_libraries_written_in_C
For example (a bit complicated example...)

http://cvs.fedoraproject.org/viewvc/rpms/rubygem-hpricot/devel/rubygem-hpricot.spec?revision=1.9&view=markup

- Note that usually ext/ directory need not be installed. Usually
  files under ext/ are only used to create C extension .so file, and
  not needed for runtime.

Comment 2 Mamoru TASAKA 2010-07-17 15:44:08 UTC
ping?

Comment 3 Shreyank Gupta 2010-07-17 18:16:36 UTC
(In reply to comment #2)
> ping?    
Sorry for the delay. I'm on vacation, will update spec by Monday. :-)

Comment 4 Shreyank Gupta 2010-07-19 12:45:16 UTC
UPDATED:
--------

Spec URL: http://shreyankg.fedorapeople.org/packaging/curb/rubygem-curb.spec
SRPM URL:
http://shreyankg.fedorapeople.org/packaging/curb/rubygem-curb-0.7.7.1-2.fc13.src.rpm

Notes:
------

* See Changelog
* Moving the ext/ directory to -doc subpackage, as it is required to run the tests.
--
+ rake test --trace
(in /builddir/build/BUILDROOT/rubygem-curb-0.7.7.1-2.fc13.i386/usr/lib/ruby/gems/1.8/gems/curb-0.7.7.1)
** Invoke test (first_time)
** Invoke rmpid (first_time)
** Execute rmpid
** Invoke unittests (first_time)
** Invoke compile (first_time)
** Invoke ext/curb_core.so (first_time, not_needed)
** Invoke ext/Makefile (first_time, not_needed)
** Invoke ext/extconf.rb (first_time, not_needed)
** Invoke ext/curb.c (first_time, not_needed)
** Invoke ext/curb_upload.c (first_time, not_needed)
** Invoke ext/curb_postfield.c (first_time, not_needed)
** Invoke ext/curb_easy.c (first_time, not_needed)
** Invoke ext/curb_multi.c (first_time, not_needed)
** Invoke ext/curb_errors.c (first_time, not_needed)
** Invoke ext/curb_errors.h (first_time, not_needed)
** Invoke ext/curb_multi.h (first_time, not_needed)
** Invoke ext/curb.h (first_time, not_needed)
** Invoke ext/curb_easy.h (first_time, not_needed)
** Invoke ext/curb_postfield.h (first_time, not_needed)
** Invoke ext/curb_upload.h (first_time, not_needed)
** Invoke ext/curb_macros.h (first_time, not_needed)
** Invoke ext/curb_config.h (first_time, not_needed)
** Execute compile
** Execute unittests
Loaded suite /usr/lib/ruby/gems/1.8/gems/rake-0.8.7/lib/rake/rake_test_loader
Started
..................................................................................................................
Finished in 9.261544 seconds.
114 tests, 481 assertions, 0 failures, 0 errors
** Execute test

--

Koji Scratch Build:
-------------------

http://koji.fedoraproject.org/koji/taskinfo?taskID=2328796

Comment 5 Mamoru TASAKA 2010-07-19 17:47:48 UTC
For -2:

* %check
  - Please disable "rake test" for ppc64 for now, it fails
    (due to perhaps bugs in ruby)
    http://koji.fedoraproject.org/koji/taskinfo?taskID=2329163

* Unneeded files
  - *.o and *.so files under ext/ directory is unneeded
    (*.o is for creating .so file, and .so file is already installed
    under %ruby_sitearch)

Comment 6 Shreyank Gupta 2010-07-20 16:27:49 UTC
UPDATED:
--------

Spec URL: http://shreyankg.fedorapeople.org/packaging/curb/rubygem-curb.spec
SRPM URL:
http://shreyankg.fedorapeople.org/packaging/curb/rubygem-curb-0.7.7.1-3.fc13.src.rpm


Notes:
------

I have added a check for ppc64, but it's not necessary as I am not building rubygem-curb for f-12 (and ppc arch is not supported f-13 onwards)


Koji scratch build for F-12:
-----------------------------

http://koji.fedoraproject.org/koji/taskinfo?taskID=2331238

Comment 7 Mamoru TASAKA 2010-07-20 19:42:01 UTC
Well, I don't think /usr/lib/ruby/gems/1.8/gems/curb-0.7.7.1/.require_paths
is needed. however not a blocker.

-----------------------------------------------------------
    This package (rubygem-curb) is APPROVED by mtasaka
-----------------------------------------------------------

Comment 9 Shreyank Gupta 2010-07-21 07:30:12 UTC
New Package CVS Request
=======================
Package Name: rubygem-curb
Short Description: Ruby libcurl bindings
Owners: shreyankg
Branches: F-13

Comment 10 Huzaifa S. Sidhpurwala 2010-07-23 07:34:13 UTC
cvs done

Comment 11 Fedora Update System 2010-07-23 11:59:37 UTC
rubygem-curb-0.7.7.1-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/rubygem-curb-0.7.7.1-4.fc13

Comment 12 Fedora Update System 2010-07-27 02:34:48 UTC
rubygem-curb-0.7.7.1-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rubygem-curb'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/rubygem-curb-0.7.7.1-4.fc13

Comment 13 Mamoru TASAKA 2010-07-29 15:01:13 UTC
Closing.

Comment 14 Fedora Update System 2010-08-03 00:38:12 UTC
rubygem-curb-0.7.7.1-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Steve Traylen 2014-03-11 23:36:57 UTC
Package Change Request
======================
Package Name: rubygem-curb
New Branches: el6 epel7
Owners: stevetraylen

Comment 16 Gwyn Ciesla 2014-03-12 11:56:43 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.